﻿
Module Module_Program

    Friend Enum ChannelTypes
        AmbientalNoise
        Dust
        Humidity
        Light
        MagneticField
        Pressure
        Radiations
        Radon
        Rain
        Strikes
        Temperature
        WindSpeed
        WindDirection
        Unused
    End Enum

    Friend Structure Channel
        Dim btn_Name As MyButton
        Dim txt_Value As TextBox
        ' -----------------------------------
        Dim ChannelType As ChannelTypes
        Dim NameENG As String
        Dim NameITA As String
        Dim NameFRA As String
        Dim NameESP As String
        Dim NameDEU As String
        Dim NameJPN As String
        Dim TrimZero As Single
        Dim TrimSlope As Single
        Dim Format As String
        Dim Unit As String
        Dim Slot As Int32
    End Structure

    Friend Function GetChannelNameLocalized(ByVal i As Int32) As String
        Select Case Language
            Case "ITA" : Return ChannelArray(i).NameITA
            Case "FRA" : Return ChannelArray(i).NameFRA
            Case "ESP" : Return ChannelArray(i).NameESP
            Case "DEU" : Return ChannelArray(i).NameDEU
            Case "JPN" : Return ChannelArray(i).NameJPN
            Case Else : Return ChannelArray(i).NameENG
        End Select
    End Function

    ' -------------------------------------------------
    '  WARNING 
    '  Channels are numbered from 1 to NumChannels 
    '  The ChannelArray(0) position is unused
    ' -------------------------------------------------
    Friend ChannelArray(99) As Channel
    Friend NumChannels As Int32

End Module
